# OrtProviderOptions.OrtProviderSupplier (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Interface OrtProviderOptions.OrtProviderSupplier

Enclosing class:
  OrtProviderOptions

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface OrtProviderOptions.OrtProviderSupplier

Functional interface mirroring a Java supplier, but can throw OrtException.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `create()` Calls the function to get the native pointer.

### Method Detail

#### create

    long create()
         throws OrtException

Calls the function to get the native pointer.

Returns:
  The native pointer.
Throws:
  `OrtException` - If the create call failed.